Bug 1130699 - Anaconda no more mirrors (Error 256)
Summary: Anaconda no more mirrors (Error 256)
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 20
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-16 12:55 UTC by Taylor Smock
Modified: 2015-02-10 14:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-19 20:37:53 UTC


Attachments (Terms of Use)

Description Taylor Smock 2014-08-16 12:55:29 UTC
Description of problem:
Anaconda errors out when it runs out of mirrors to try and calls it an unrecoverable error. (Error 256)


How reproducible: 
When on a poor internet connection (occasionally loses connection), most of the time.


Steps to Reproduce:
1. Have an internet connection that will disconnect from time to time.
2. Run the installer (I was using BFO, should do the same with netinstall).

Actual results:
Installation errored out.

Expected results:
Installation errors out with an option to retry download.

Additional info:
Try running in the terminal (CTRL+ALT+F2):

    while true; do anaconda-yum <options from tty>; done # This will continually run the anaconda-yum installer, and that appears to resume downloads where it left off, which indicates that there could be restart functionality. Needs to be exited with CTRL+c.
    chroot /mnt/sysimage # in order to install and configure grub, and to set a root password for the install system.
    grub2-install /dev/sda && grub2-mkconfig /boot/grub2/grub.cfg # Installs grub so that it can be booted. May need to change for EFI setups.
    passwd # Pick a root password.
    exit # get out of chroot
    reboot # reboot to new, installed system.

Comment 1 David Shea 2014-12-09 17:02:35 UTC
Please attach the log files from /tmp at the time of the failure. What version of the installer are you using? Does this problem still occur in Fedora 21? Anaconda does perform some retry attempts, but not all network errors are recoverable, and anaconda will not retry forever.

Comment 2 Taylor Smock 2015-02-10 14:56:41 UTC
I was unable to reproduce with Fedora 21/Rawhide.

Sorry that it took so long to get back, but I haven't been able to test on Rawhide for awhile.


Note You need to log in before you can comment on or make changes to this bug.